﻿import util.*;
import mvc.*;

/**
 * 指定MVC三劍客中的「控制邏輯」所必須提供的最基本服務
 */
interface mvc.Controller {
  /**
   * 設定這個「控制邏輯」的「模型」
   */
  public function setModel (m:Observable):Void;

  /**
   * 傳回這個「控制邏輯」的「模型」
   */
  public function getModel (  ):Observable;

  /**
   * 設定這個「控制邏輯」所服務的「外觀」
   */
  public function setView (v:View):Void;

  /**
   * 傳回這個「控制邏輯」所服務的「外觀」
   */
  public function getView (  ):View;
}